## ruby-pygments.rb 0.6.3

=== vendor/pygments-main/Makefile ===
#
# Makefile for Pygments
# ~~~~~~~~~~~~~~~~~~~~~
#
# Combines scripts for common tasks.
#
# :copyright: Copyright 2006-2014 by the Pygments team, see AUTHORS.
# :license: BSD, see LICENSE for details.
#

PYTHON ?= python

export PYTHONPATH = $(shell echo "$$PYTHONPATH"):$(shell python -c 'import os; print ":".join(os.path.abspath(line.strip()) for line in file("PYTHONPATH"))' 2>/dev/null)

.PHONY: all check clean clean-pyc codetags docs mapfiles \
	pylint reindent test test-coverage

all: clean-pyc check test

check:
	@$(PYTHON) scripts/detect_missing_analyse_text.py || true
	@$(PYTHON) scripts/check_sources.py -i build -i dist -i pygments/lexers/_mapping.py \
		   -i docs/build -i pygments/formatters/_mapping.py -i pygments/unistring.py \
		   -i pygments/lexers/_vimbuiltins.py

clean: clean-pyc
	-rm -rf build
	-rm -f codetags.html

clean-pyc:
	find . -name '*.pyc' -exec rm -f {} +
	find . -name '*.pyo' -exec rm -f {} +
	find . -name '*~' -exec rm -f {} +

codetags:
	@$(PYTHON) scripts/find_codetags.py -i tests/examplefiles -i scripts/pylintrc \
		   -i scripts/find_codetags.py -o codetags.html .

docs:
	make -C doc html

mapfiles:
	(cd pygments/lexers; $(PYTHON) _mapping.py)
	(cd pygments/formatters; $(PYTHON) _mapping.py)

pylint:
	@pylint --rcfile scripts/pylintrc pygments

reindent:
	@$(PYTHON) scripts/reindent.py -r -B .

test:
	@$(PYTHON) tests/run.py $(TEST)

test-coverage:
	@$(PYTHON) tests/run.py -C $(TEST)

## ruby-pygments.rb 0.5.4~ds1

=== debian/changelog ===
ruby-pygments.rb (0.5.4~ds1-3) unstable; urgency=medium

  * Team upload.
  * Reverted the previous upload completely, and acknowledged the NMU in
    0.5.4~ds1-1.1 by Tomasz Buchert (Closes: #768615).
  * Update debian/patches/0007-Update-test-result.patch to fix current FTBFS
    (and properly Closes: #775631).

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 07 Feb 2015 13:17:48 -0200

ruby-pygments.rb (0.5.4~ds1-2) unstable; urgency=medium

  * Team upload
  * fix tests (Closes: #775631):
    - test_highlight_works_with_larger_files: instead of testing for an exact
      amount of bytes, pass with there are more than 400,000 of them.
      (debian/patches/0007-Update-test-result.patch)
    - test_highlight_works_with_single_character_input: removed, since the
      underlying Python code does not support that use case.
      (debian/patches/0008-Drop-unfeasible-test.patch)

 -- Antonio Terceiro <terceiro@debian.org>  Wed, 04 Feb 2015 19:43:57 -0200

ruby-pygments.rb (0.5.4~ds1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Update the testsuite (Closes: #768615)

 -- Tomasz Buchert <tomasz.buchert@inria.fr>  Sat, 22 Nov 2014 15:18:14 +0100

ruby-pygments.rb (0.5.4~ds1-1) unstable; urgency=low

  * Initial release (Closes: #703188)

 -- Per Andersson <avtobiff@gmail.com>  Fri, 04 Apr 2014 03:44:10 +0200

=== debian/control ===
Source: ruby-pygments.rb
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: Per Andersson <avtobiff@gmail.com>,
           Dominique Dumont <dod@debian.org>
Section: ruby
Priority: optional
Build-Depends: debhelper (>= 9),
               gem2deb (>= 0.3.0~),
               bundler,
               python-pygments,
               rake-compiler,
               ruby-posix-spawn,
               ruby-yajl
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ruby-extras/packages/ruby-pygments.rb.git
Vcs-Git: git://anonscm.debian.org/pkg-ruby-extras/packages/ruby-pygments.rb.git
Homepage: http://github.com/tmm1/pygments.rb
XS-Ruby-Versions: all

Package: ruby-pygments.rb
Architecture: all
Depends: ${misc:Depends},
         ${shlibs:Depends},
         python,
         python-pygments,
         ruby | ruby-interpreter,
         ruby-posix-spawn,
         ruby-yajl
Provides: ruby-pygments
Description: pygments wrapper for Ruby
 A Ruby wrapper for the Python pygments syntax highlighter.
 .
 pygments.rb works by talking over a simple pipe to a long-lived Python child
 process. This library replaces albino, as well as a version of pygments.rb
 that used an embedded Python interpreter.
 .
 Each Ruby process that runs has its own 'personal Python'; for example, 4
 Unicorn workers will have one Python process each.  If a Python process dies,
 a new one will be spawned on the next pygments.rb request.
XB-Ruby-Versions: ${ruby:Versions}

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
#
# Uncomment to ignore all test failures (but the tests will run anyway)
#export DH_RUBY_IGNORE_TESTS=all
#
# Uncomment to ignore some test failures (but the tests will run anyway).
# Valid values:
#export DH_RUBY_IGNORE_TESTS=ruby1.8 ruby1.9.1 require-rubygems
#
# If you need to specify the .gemspec (eg there is more than one)
#export DH_RUBY_GEMSPEC=gem.gemspec

%:
	dh $@ --buildsystem=ruby --with ruby

override_dh_auto_clean:
	dh_auto_clean
	rm -rf doc

override_dh_auto_build:
	dh_auto_build
	# build documention
	rdoc lib

override_dh_auto_install:
	dh_auto_install
	# make mentos.py executable
	chmod 0755 debian/ruby-pygments.rb/usr/lib/ruby/vendor_ruby/pygments/mentos.py

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.md
	dh_compress

get-orig-source:
	debian/get-orig-source.sh

=== debian/watch ===
version=3
opts=dversionmangle=s/~ds\d+$// \
    http://githubredir.debian.net/github/tmm1/pygments.rb/ v(.*).tar.gz

## ruby-pygments.rb 0.6.3

=== debian/changelog ===
ruby-pygments.rb (0.6.3-1) unstable; urgency=medium

  * Team upload
  * Imported Upstream version 0.6.3
  * Fix watch file to not use githubredir anymore
  * Bump Standards-Version to 3.9.7
  * Use https in Vcs-* fields
  * Refresh patches
  * Adapt pygments tests to new version (Closes: #812940)

 -- Cédric Boutillier <boutil@debian.org>  Tue, 01 Mar 2016 18:28:48 +0100

=== debian/control ===
--- 
+++ 
@@ -11,9 +11,9 @@
                rake-compiler,
                ruby-posix-spawn,
                ruby-yajl
-Standards-Version: 3.9.5
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ruby-extras/packages/ruby-pygments.rb.git
-Vcs-Git: git://anonscm.debian.org/pkg-ruby-extras/packages/ruby-pygments.rb.git
+Standards-Version: 3.9.7
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-ruby-extras/packages/ruby-pygments.rb.git
+Vcs-Git: https://anonscm.debian.org/pkg-ruby-extras/packages/ruby-pygments.rb.git
 Homepage: http://github.com/tmm1/pygments.rb
 XS-Ruby-Versions: all

=== debian/rules ===
#!/usr/bin/make -f

export GEM2DEB_TEST_RUNNER = --check-dependencies

%:
	dh $@ --buildsystem=ruby --with ruby

override_dh_auto_clean:
	dh_auto_clean
	rm -rf doc

override_dh_auto_build:
	dh_auto_build
	# build documention
	rdoc lib

override_dh_auto_install:
	dh_auto_install
	# make mentos.py executable
	chmod 0755 debian/ruby-pygments.rb/usr/lib/ruby/vendor_ruby/pygments/mentos.py

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.md
	dh_compress

get-orig-source:
	debian/get-orig-source.sh

## ruby-pygments.rb 1.2.0

=== debian/changelog ===
ruby-pygments.rb (1.2.0-4ubuntu2) focal; urgency=medium

  * Drop the explicit dependency on python.
  * Use python2 in the build.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 14 Jan 2020 23:57:33 +0100

ruby-pygments.rb (1.2.0-4) unstable; urgency=high

  * Team upload.

  [ HIGUCHI Daisuke (VDR dai) ]
  * Disable the test expecting a timeout (Closes: #928505)
  - Thanks to Santiago Vila <sanvila@debian.org>
  * set urgency=high due to fix RC bug.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Mon, 06 May 2019 20:27:24 +0900

ruby-pygments.rb (1.2.0-3) unstable; urgency=high

  * Team upload.

  [ HIGUCHI Daisuke (VDR dai) ]
  * d/rules: Extend timeout for the test suite. (Closes: #923986)
  - Thanks to Santiago Vila <sanvila@debian.org>, Sergio Durigan Junior
    <sergiodj@debian.org> and Chris Lamb <lamby@debian.org>.
  * set urgency=high due to fix RC bug.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Mon, 06 May 2019 10:01:37 +0900

ruby-pygments.rb (1.2.0-2) unstable; urgency=medium

  * Team upload.

  [ HIGUCHI Daisuke (VDR dai) ]
  * d/p/0009-Remove-rubygem-for-ruby2.5.patch:
    Remove rubygem for ruby2.5 (Closes: #893822)
  * eliminate lintian warning: insecure-copyright-format-uri
  * eliminate lintian warning: homepage-field-uses-insecure-uri
  * eliminate lintian warning: file-contains-trailing-whitespace
  * support autopkgtest
  * Use salsa.debian.org in Vcs-* fields
  * Bump debhelper compatibility level to 11
  * Bump Standards-Version to 4.1.3 (no changes needed)

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Sat, 31 Mar 2018 11:11:58 +0900

ruby-pygments.rb (1.2.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.2.0
  * Refresh patches
  * Add Set-reasonable-upper-limit-to-RLIMIT_NOFILE.patch to avoid closing too
    many files when mentos starts (Closes: #876768)
  * Bump Standards-Version to 4.1.0 (no changes needed)
  * Depend on ruby-multi-json

 -- Cédric Boutillier <boutil@debian.org>  Fri, 29 Sep 2017 23:43:08 +0200

ruby-pygments.rb (0.6.3-2) unstable; urgency=medium

  * Team upload
  * Remove version in the gem2deb build-dependency
  * Use https:// in Vcs-* fields
  * Run wrap-and-sort on packaging files
  * Add patch to work with pygments 2.1+ (Closes: #830400)
  * Bump Standards-Version to 3.9.8
  * Set Testsuite to autopkgtest-pkg-ruby
  * Amend 0001-Remove-gemspec-git-ls-files.patch to not use relative path to
    load the version number from gemspecs
  * No relative path in the require statement of tests to allow autopkgtest

 -- Cédric Boutillier <boutil@debian.org>  Fri, 08 Jul 2016 13:49:11 +0200

=== debian/control ===
--- 
+++ 
@@ -4,28 +4,29 @@
            Dominique Dumont <dod@debian.org>
 Section: ruby
 Priority: optional
-Build-Depends: debhelper (>= 9),
-               gem2deb (>= 0.3.0~),
-               bundler,
+Build-Depends: bundler,
+               debhelper (>= 11~),
+               gem2deb,
                python-pygments,
                rake-compiler,
+               ruby-multi-json,
                ruby-posix-spawn,
                ruby-yajl
-Standards-Version: 3.9.7
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-ruby-extras/packages/ruby-pygments.rb.git
-Vcs-Git: https://anonscm.debian.org/pkg-ruby-extras/packages/ruby-pygments.rb.git
-Homepage: http://github.com/tmm1/pygments.rb
+Standards-Version: 4.1.3
+Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-pygments.rb
+Vcs-Git: https://salsa.debian.org/ruby-team/ruby-pygments.rb.git
+Homepage: https://github.com/tmm1/pygments.rb
 XS-Ruby-Versions: all
 
 Package: ruby-pygments.rb
 Architecture: all
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
-         python,
-         python-pygments,
+Depends: python-pygments,
          ruby | ruby-interpreter,
+         ruby-multi-json,
          ruby-posix-spawn,
-         ruby-yajl
+         ruby-yajl,
+         ${misc:Depends},
+         ${shlibs:Depends}
 Provides: ruby-pygments
 Description: pygments wrapper for Ruby
  A Ruby wrapper for the Python pygments syntax highlighter.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,10 @@
 #!/usr/bin/make -f
 
 export GEM2DEB_TEST_RUNNER = --check-dependencies
+
+# The default is 8 seconds but it's not always enough for the test suite.
+# See #923986 for details.
+export MENTOS_TIMEOUT = 60
 
 %:
 	dh $@ --buildsystem=ruby --with ruby

=== debian/tests/control ===
Tests: run-test
Depends: @, quilt, gem2deb-test-runner, bundler, python-pygments, rake-compiler, ruby-multi-json, ruby-posix-spawn, ruby-yajl
Restrictions: allow-stderr

=== debian/watch ===
version=3
opts=dversionmangle=s/~ds\d+$// \
    https://github.com/tmm1/pygments.rb/tags .*/v(.*).tar.gz

## ruby-pygments.rb 1.2.1

=== debian/changelog ===
ruby-pygments.rb (1.2.1-2) unstable; urgency=medium

  * Team upload

  [ Cédric Boutillier ]
  * Update team name

  [ Nicolas Boulenguez ]
  * Uscan v4 and Files-Excluded replace get-orig-source.sh
  * Debhelper 13 (no changes)
  * Slightly shorten d/rules
  * Make the test less dependent on the pygments version, closes: #972481
  * Comment explaining why dh_compress is overridden without options

 -- Cédric Boutillier <boutil@debian.org>  Tue, 17 Nov 2020 00:03:18 +0100

ruby-pygments.rb (1.2.1-1) unstable; urgency=medium

  * Team upload

  [ Utkarsh Gupta ]
  * Add salsa-ci.yml

  [ Antonio Terceiro ]
  * Add patch series for python3 port (Closes: #943257)
  * New upstream version 1.2.1
  * Refresh packaging files with dh-make-ruby
    - Refresh patches
  * Make lexers file (no longer shipped upstream) during build
  * Don't install doc/* (no longer shipped)
  * Drop patch to fiddle with the path to the lexers file.
    Now that we are using the rubygems layout, it's ok to look for it under
    "this package directory".
  * debian/rules: override the dh_compress options set by the `ruby` to avoid
    not compressing the changelogs
  * debian/rules; don't install vendor/ (it's not really used)
  * debian/copyright: exclude vendor/; import new upstream tarball without it.

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 05 Apr 2020 10:46:14 -0300

=== debian/control ===
Source: ruby-pygments.rb
Section: ruby
Priority: optional
Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: Per Andersson <avtobiff@gmail.com>,
           Dominique Dumont <dod@debian.org>
Build-Depends: debhelper-compat (= 13),
               gem2deb (>= 1),
               rake,
               rake-compiler,
               ruby-multi-json  (>= 1.0.0),
               ruby-posix-spawn,
               ruby-yajl,
               python3-pygments,
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/ruby-team/ruby-pygments.rb.git
Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-pygments.rb
Homepage: https://github.com/tmm1/pygments.rb
Testsuite: autopkgtest-pkg-ruby
XS-Ruby-Versions: all
Rules-Requires-Root: no

Package: ruby-pygments.rb
Architecture: all
XB-Ruby-Versions: ${ruby:Versions}
Depends: ${misc:Depends},
         ${ruby:Depends},
         ${shlibs:Depends},
         python3,
         python3-pygments,
Description: pygments wrapper for Ruby
 A Ruby wrapper for the Python pygments syntax highlighter.
 .
 pygments.rb works by talking over a simple pipe to a long-lived Python child
 process. This library replaces albino, as well as a version of pygments.rb
 that used an embedded Python interpreter.
 .
 Each Ruby process that runs has its own 'personal Python'; for example, 4
 Unicorn workers will have one Python process each.  If a Python process dies,
 a new one will be spawned on the next pygments.rb request.

=== debian/rules ===
#!/usr/bin/make -f

export GEM2DEB_TEST_RUNNER = --check-dependencies
export DH_RUBY = --gem-install
export DH_RUBY_GEM_INSTALL_WHITELIST_APPEND = lexers
export DH_RUBY_GEM_INSTALL_BLACKLIST_APPEND = vendor/*

%:
	dh $@ --buildsystem=ruby --with ruby

execute_before_dh_auto_build:
	rake lexers

# The ruby debhelper module passes -X.rb to dh_compress, but this
# exclusion pattern would match debian/ruby-pygments.rb/.
override_dh_compress:
	dh_compress

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ruby-pygments.rb-$1.tar.gz%" \
https://github.com/tmm1/pygments.rb/tags \
(?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## ruby-pygments.rb 2.3.0%2Bds

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,11 @@
 Uploaders: Per Andersson <avtobiff@gmail.com>,
            Dominique Dumont <dod@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               gem2deb (>= 1),
+               gem2deb,
                rake,
                rake-compiler,
-               ruby-multi-json  (>= 1.0.0),
-               ruby-posix-spawn,
-               ruby-yajl,
-               python3-pygments,
-Standards-Version: 4.5.0
+               python3-pygments
+Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/ruby-team/ruby-pygments.rb.git
 Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-pygments.rb
 Homepage: https://github.com/tmm1/pygments.rb
@@ -26,7 +23,7 @@
 Depends: ${misc:Depends},
          ${ruby:Depends},
          ${shlibs:Depends},
-         python3,
+         python3:any,
          python3-pygments,
 Description: pygments wrapper for Ruby
  A Ruby wrapper for the Python pygments syntax highlighter.

## ruby-pygments.rb 2.3.0+ds

=== debian/changelog ===
ruby-pygments.rb (2.3.0+ds-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Add patch for pygments 2.24 (Closes: #1028620)

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 20 Jan 2023 09:51:53 +0100

ruby-pygments.rb (2.3.0+ds-2.1) unstable; urgency=medium

  * Non-maintainer upload
  * test: update for latest pygments (Closes: #1006047)

 -- Paul Gevers <elbrus@debian.org>  Sun, 13 Mar 2022 12:31:00 +0100

ruby-pygments.rb (2.3.0+ds-2) unstable; urgency=medium

  * Team upload.

  [ Alexandre Ghiti ]
  * d/patches: Do not use relative path to mentos.py.
    This fails when testing against the installed package.  Closes: #1004703

  [ Mattia Rizzolo ]
  * Mark the python3 dependency with :any (recommended by the m-a hinter).

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 01 Feb 2022 12:44:51 +0100

ruby-pygments.rb (2.3.0+ds-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster
    + Build-Depends: Drop versioned constraint on gem2deb and ruby-multi-json.
  * Update standards version to 4.5.1, no changes needed.

  [ Mattia Rizzolo ]
  * New upstream version 2.3.0+ds.
    + Fix autopkgtest against newer pygments.  Closes: #1002532
  * d/copyright:
    + Update for the new upstream version.
    + drop trailing / from Files-Excluded, that's causing an uscan warning.
    + While at it, since we are repacking, drop the .github directory too.
  * d/watch: drop filenamemangle and instead set repacksuffix=+ds and
    dversionmangle, since this is a repacked source after all.
  * Bump Standards-Version to 4.6.0, no changes needed.

  [ Alexandre Ghiti ]
  * d/rules: Update rake target.
  * d/ruby-pygments.rb.docs: update the filename following the upstream change.
  * d/patches:
    + Remove as fixed upstream:
      - 0004-Remove-unshipped-custom-lexers.patch
      - 0006-Invoke-mentos-directly-on-GNU-Linux.patch
      - 0008-Set-reasonable-upper-limit-to-RLIMIT_NOFILE.patch
      - 0009-Remove-rubygem-for-ruby2.5.patch
      - 0011-mentos.py-break-on-EOF.patch
      - 0010-Add-support-for-python-3.patch
      - 0012-mentos.py-decode-header-when-getting-its-length.patch
      - 0014-Port-to-python3.patch
      - test-less-dependency-on-pygments-version.diff
    + Rebase the rest.
  * d/control: Remove useless build-deps on ruby-multi-json,
    ruby-posix-spawn, ruby-yajl.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 23 Jan 2022 22:03:17 +0100

## ruby-pygments.rb 2.4.1%2Bds

=== debian/changelog ===
ruby-pygments.rb (2.4.1+ds-1) unstable; urgency=medium

  * New upstream version 2.4.1+ds
    + support for python3-pygments 2.15.1
  * Drop X?-Ruby-Versions, update homepage
  * Drop patches introduced in the two previous NMUs as the corresponding
    tests have been removed upstream

 -- Cédric Boutillier <boutil@debian.org>  Thu, 30 Nov 2023 00:23:03 +0100

=== debian/watch ===
version=4

opts=repacksuffix=+ds,dversionmangle=auto \
    https://github.com/tmm1/pygments.rb/tags \
    (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## ruby-pygments.rb 2.4.1+ds

=== debian/control ===
--- 
+++ 
@@ -8,23 +8,21 @@
                gem2deb,
                rake,
                rake-compiler,
-               python3-pygments
-Standards-Version: 4.6.0
+               python3-pygments (>= 2.15.1~)
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/ruby-team/ruby-pygments.rb.git
 Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-pygments.rb
-Homepage: https://github.com/tmm1/pygments.rb
+Homepage: https://github.com/pygments/pygments.rb
 Testsuite: autopkgtest-pkg-ruby
-XS-Ruby-Versions: all
 Rules-Requires-Root: no
 
 Package: ruby-pygments.rb
 Architecture: all
-XB-Ruby-Versions: ${ruby:Versions}
 Depends: ${misc:Depends},
          ${ruby:Depends},
          ${shlibs:Depends},
          python3:any,
-         python3-pygments,
+         python3-pygments (>= 2.15.1~),
 Description: pygments wrapper for Ruby
  A Ruby wrapper for the Python pygments syntax highlighter.
  .

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 	dh $@ --buildsystem=ruby --with ruby
 
 execute_before_dh_auto_build:
-	rake lexers
+	rake build
 
 # The ruby debhelper module passes -X.rb to dh_compress, but this
 # exclusion pattern would match debian/ruby-pygments.rb/.

## ruby-pygments.rb 4.0.0+ds

=== debian/changelog ===
ruby-pygments.rb (4.0.0+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (Closes: #1124390)
  * Refresh patch 0001-Remove-gemspec-git-ls-files.patch
  * d/rules: Replace deprecated DH_RUBY_GEM_INSTALL_BLACKLIST_APPEND
    with DH_RUBY_GEM_INSTALL_EXCLUDE.
    Add Forwarded: not-needed field.
  * d/control:
    + Bump Standards-Version to 4.7.3, no changes needed.
    + Remove redundant-rules-requires-root-no-field and
      redundant-priority-optional-field

 -- Abhijith PA <abhijith@debian.org>  Wed, 07 Jan 2026 11:50:44 +0530

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: ruby-pygments.rb
 Section: ruby
-Priority: optional
 Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
 Uploaders: Per Andersson <avtobiff@gmail.com>,
            Dominique Dumont <dod@debian.org>
@@ -9,12 +8,11 @@
                rake,
                rake-compiler,
                python3-pygments (>= 2.15.1~)
-Standards-Version: 4.6.2
+Standards-Version: 4.7.3
 Vcs-Git: https://salsa.debian.org/ruby-team/ruby-pygments.rb.git
 Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-pygments.rb
 Homepage: https://github.com/pygments/pygments.rb
 Testsuite: autopkgtest-pkg-ruby
-Rules-Requires-Root: no
 
 Package: ruby-pygments.rb
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 export GEM2DEB_TEST_RUNNER = --check-dependencies
 export DH_RUBY = --gem-install
 export DH_RUBY_GEM_INSTALL_WHITELIST_APPEND = lexers
-export DH_RUBY_GEM_INSTALL_BLACKLIST_APPEND = vendor/*
+export DH_RUBY_GEM_INSTALL_EXCLUDE = vendor/*
 
 %:
 	dh $@ --buildsystem=ruby --with ruby
